summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-12-06 06:37:57 +0100
committerHans de Graaff <graaff@gentoo.org>2016-12-06 06:37:57 +0100
commitb24a16e9ad588fce1808c889c48d735115d36822 (patch)
tree2e9a7370f38e30bb5e264b9aac7881c54d488cea /www-servers
parentdev-ruby/minitest: add 5.10.1 (diff)
downloadgentoo-b24a16e9ad588fce1808c889c48d735115d36822.tar.gz
gentoo-b24a16e9ad588fce1808c889c48d735115d36822.tar.bz2
gentoo-b24a16e9ad588fce1808c889c48d735115d36822.zip
www-servers/puma: add 3.6.2
Package-Manager: portage-2.3.0
Diffstat (limited to 'www-servers')
-rw-r--r--www-servers/puma/Manifest1
-rw-r--r--www-servers/puma/puma-3.6.2.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/www-servers/puma/Manifest b/www-servers/puma/Manifest
index 63f0d5f03e1..2bdf87d6c4c 100644
--- a/www-servers/puma/Manifest
+++ b/www-servers/puma/Manifest
@@ -2,3 +2,4 @@ DIST puma-3.1.0.tar.gz 145272 SHA256 b0d7c342ebd398d5cdebb25923ecb8b3f100ff2f4e9
DIST puma-3.1.1.tar.gz 145563 SHA256 ffcbae245e0a3a7f0418a9beb3e0e0a602203de15467dec93375fb3b4612ed6d SHA512 ed478abb90c52a721ed2d050a514720d19de299ce08d416c184bd497118d506d2b66ec50c1484ad7bb405bd0201c02d04da3c41758e8c111f5a9520cd147cafa WHIRLPOOL 4c19d3f1c55c5402d93e4e4359097b12bef017031faa7f3b03807ef6b372cd1bf4bb60ec697599d9c8a998936d09b1eafa414aac0d0e7cacbd0c13c1b40590ba
DIST puma-3.6.0.tar.gz 151226 SHA256 6183a100cb9bfb2e7d9582254042defd86cb420095d3d440c98cea64d3d15c21 SHA512 b4f25117535d6d9290fb4b33574de79b83f325d18b35eef5a50bfd1719b775bf18c8e4b31df71db38c58992123bb398d03ae26161b960d1f064bb4b9d0161dc7 WHIRLPOOL cbeec7388d06eff1bd50f005564810f788b113291b4c9acb28e5345330b236771608b81b6ffa53e7e1199cd772eea5524cd74926e3ab71eccac217ec6b574079
DIST puma-3.6.1.tar.gz 152236 SHA256 902516bc6d61592fe880b671893b8cb1f93867ad3e7365aa114982f0bc6faaa5 SHA512 5dc6bb18f5b01a1b98adf56aa2d79394a0a7424013e05f694c5780c254ff451a9c4c5f4c05cd4468851bac77ffe69f752c5ce73c6c1b3bb42fcc0f434bd9acff WHIRLPOOL 2380968b320c41208e600bdaad1830c8a5501f5c4cad6ad7b4511aef284dd1e00ba27779675fc7f779c8cfd07e75baefaca480d2a1c99ac96d6f71bc5f4039ce
+DIST puma-3.6.2.tar.gz 152250 SHA256 c3963d0f8600aa83fdeaa65d0ab4baff543c755dccd26218b53fafc48f380c7e SHA512 d80138f37b22753f2fefeba1c6bd315d8a6ded0e718df84ede6979b7634b6ebae1c4a2aa98bf233e8bc2d0113201f0e9c752e4d128ce4b812897680694f1ce9f WHIRLPOOL a98e125eee7c7da770e88c66b67dca8083ee9317572b9d96cc2e3e34b39049b86f2cdd49455971a3757e6d9da71bce32db1f50542501075ef57cf0fce236e052
diff --git a/www-servers/puma/puma-3.6.2.ebuild b/www-servers/puma/puma-3.6.2.ebuild
new file mode 100644
index 00000000000..a518cf4a276
--- /dev/null
+++ b/www-servers/puma/puma-3.6.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="a simple, fast, threaded, and highly concurrent HTTP 1.1 server for Ruby/Rack"
+HOMEPAGE="http://puma.io/"
+SRC_URI="https://github.com/puma/puma/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND+=" dev-libs/openssl:0 test? ( net-misc/curl )"
+RDEPEND+=" dev-libs/openssl:0"
+
+ruby_add_bdepend "virtual/ruby-ssl
+ test? ( dev-ruby/rack >=dev-ruby/minitest-5.8:5 >=dev-ruby/test-unit-3.0:2 )"
+
+all_ruby_prepare() {
+ # Avoid test failing inconsistently
+ sed -i -e '/phased_restart_via_pumactl/,/^ end/ s:^:#:' test/test_integration.rb || die
+
+ # Avoid test we did not run previously that is failing
+ rm -f test/test_cli.rb || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby -rubygems:'${RUBY}' -rubygems:' \
+ -e 's/localhost/127.0.0.1/' test/shell/* || die
+ sed -i -e '1ilog_requests' test/shell/t{1,2}_conf.rb || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/puma_http11 extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/puma_http11
+ cp ext/puma_http11/puma_http11$(get_modname) lib/puma/ || die
+}
+
+each_ruby_test() {
+ einfo "Running test suite"
+ ${RUBY} -Ilib:.:test -e "gem 'minitest', '~>5.8'; gem 'test-unit', '~>3.0'; require 'minitest/autorun'; Dir['test/**/*test_*.rb'].each{|f| require f}" || die
+
+ einfo "Running integration tests"
+ pushd test/shell
+ sh run.sh || die
+ popd
+}